GrailsTokenizedHTMLPage (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.sitemesh
[Java] Class GrailsTokenizedHTMLPage

    java.lang.Object
      com.opensymphony.module.sitemesh.parser.AbstractPage
          com.opensymphony.module.sitemesh.parser.AbstractHTMLPage
              com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage
                  org.codehaus.groovy.grails.web.sitemesh.GrailsTokenizedHTMLPage

    public class GrailsTokenizedHTMLPage
    extends com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage

Constructor Summary
`GrailsTokenizedHTMLPage(char[] original, com.opensymphony.module.sitemesh.html.util.CharArray body, com.opensymphony.module.sitemesh.html.util.CharArray head)`

Method Summary
`void` | `writeBody(java.io.Writer out)`
`void` | `writeHead(java.io.Writer out)`

Methods inherited from class com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage
com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getPage(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getBody(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#writeBody(java.io.Writer), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#writeHead(java.io.Writer), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getHead(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#isFrameSet(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#setFrameSet(boolean), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getContentLength(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getBooleanProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getProperties(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#addProperty(java.lang.String, java.lang.String), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getIntProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getTitle(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getRequest(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#setRequest(javax.servlet.http.HttpServletRequest), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getPropertyKeys(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#writePage(java.io.Writer), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getLongProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#isPropertySet(java.lang.String), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#wait(long, int), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#wait(long), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#wait(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#equals(java.lang.Object), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#toString(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#hashCode(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#getClass(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#notify(), com.opensymphony.module.sitemesh.parser.TokenizedHTMLPage#notifyAll()

Methods inherited from class com.opensymphony.module.sitemesh.parser.AbstractHTMLPage
com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#writeHead(java.io.Writer), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#isFrameSet(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#setFrameSet(boolean), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getContentLength(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getBooleanProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getProperties(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#addProperty(java.lang.String, java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getIntProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getTitle(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getRequest(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#setRequest(javax.servlet.http.HttpServletRequest), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getPage(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getBody(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#writeBody(java.io.Writer), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getPropertyKeys(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#writePage(java.io.Writer), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getLongProperty(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#isPropertySet(java.lang.String), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#wait(long, int), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#wait(long), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#wait(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#equals(java.lang.Object), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#toString(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#hashCode(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getClass(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#notify(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#notifyAll(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#getHead(), com.opensymphony.module.sitemesh.parser.AbstractHTMLPage#writeBody(java.io.Writer)

Constructor Detail

### GrailsTokenizedHTMLPage

    public GrailsTokenizedHTMLPage(char[] original, com.opensymphony.module.sitemesh.html.util.CharArray body, com.opensymphony.module.sitemesh.html.util.CharArray head)

Method Detail

### writeBody

    @java.lang.Override
    public void writeBody(java.io.Writer out)

### writeHead

    @java.lang.Override
    public void writeHead(java.io.Writer out)

Groovy Documentation